Index: src/backend/commands/user.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/commands/user.c,v
retrieving revision 1.110
diff -u -r1.110 user.c
--- src/backend/commands/user.c	2002/09/02 02:47:01	1.110
+++ src/backend/commands/user.c	2002/09/04 07:35:39
@@ -925,8 +925,12 @@
 							   PointerGetDatum(user),
 							   0, 0, 0);
 		if (!HeapTupleIsValid(tuple))
-			elog(ERROR, "DROP USER: user \"%s\" does not exist%s", user,
-				 (length(stmt->users) > 1) ? " (no users removed)" : "");
+		{
+			if (length(stmt->users) > 1)
+				elog(ERROR, "DROP USER: user \"%s\" does not exist (no users removed)", user);
+			else
+				elog(ERROR, "DROP USER: user \"%s\" does not exist", user);
+		}
 
 		usesysid = ((Form_pg_shadow) GETSTRUCT(tuple))->usesysid;
 
